package moe.lava.neon.ui

import androidx.compose.foundation.isSystemInDarkTheme
import androidx.compose.material3.ColorScheme
import androidx.compose.material3.ExperimentalMaterial3ExpressiveApi
import androidx.compose.material3.darkColorScheme
import androidx.compose.material3.expressiveLightColorScheme
import androidx.compose.runtime.Composable

@OptIn(ExperimentalMaterial3ExpressiveApi::class)
@Composable
actual fun getColorScheme(): ColorScheme {
    return when (isSystemInDarkTheme()) {
        true -> darkColorScheme()
        false -> expressiveLightColorScheme()
    }
}
